package cz.muni.fi.icehockeymanager.core.api.view;


import java.util.ArrayList;
import java.util.List;

public class LeagueDetailDto {

    private Long id;

    private String name;

    private String acronym;

    private List<TeamDto> teams = new ArrayList<>();

    private List<ScheduleDto> schedules = new ArrayList<>();

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAcronym() {
        return acronym;
    }

    public void setAcronym(String acronym) {
        this.acronym = acronym;
    }

    public List<TeamDto> getTeams() {
        return teams;
    }

    public void setTeams(List<TeamDto> teams) {
        this.teams = teams;
    }

    public void addTeam(TeamDto team) {
        this.teams.add(team);
    }

    public List<ScheduleDto> getSchedules() {
        return schedules;
    }

    public void setSchedules(List<ScheduleDto> schedules) {
        this.schedules = schedules;
    }

    public void addSchedule(ScheduleDto schedule) {
        this.schedules.add(schedule);
    }

    @Override
    public String toString() {
        return "LeagueDetailDto{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", acronym='" + acronym + '\'' +
                ", teams=" + teams +
                ", schedules=" + schedules +
                '}';
    }
}
