package cz.muni.fi.icehockeymanager.core.mappers;

import cz.muni.fi.icehockeymanager.core.api.view.EnrollmentDto;
import cz.muni.fi.icehockeymanager.core.data.domain.Enrollment;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

import java.util.List;

@Mapper(componentModel = "spring")
public interface EnrollmentMapper {
    @Mapping(target = "teamId", source = "enrollment.team.id")
    @Mapping(target = "leagueId", source = "enrollment.league.id")
    EnrollmentDto mapToDto(Enrollment enrollment);
    Enrollment mapToEntity(EnrollmentDto enrollmentDto);
    List<EnrollmentDto> mapToListDto(List<Enrollment> enrollments);
}
