package cz.muni.fi.icehockeymanager.core.mappers;

import cz.muni.fi.icehockeymanager.core.api.view.LeagueDetailDto;
import cz.muni.fi.icehockeymanager.core.api.view.LeagueDto;
import cz.muni.fi.icehockeymanager.core.data.domain.League;
import org.mapstruct.Mapper;

import java.util.List;

@Mapper(componentModel = "spring")
public interface LeagueMapper {
    LeagueDto mapToDto(League league);
    LeagueDetailDto mapToDetailDto(League league);
    League mapToEntity(LeagueDto leagueDto);
    List<LeagueDto> mapToListDto(List<League> leagues);
}
