package cz.muni.fi.icehockeymanager.core.mappers;

import cz.muni.fi.icehockeymanager.core.api.view.TeamDetailDto;
import cz.muni.fi.icehockeymanager.core.api.view.TeamDto;
import cz.muni.fi.icehockeymanager.core.data.domain.Team;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

import java.util.List;

@Mapper(componentModel = "spring")
public interface TeamMapper {
    TeamDetailDto mapToDetailDto(Team team);
    @Mapping(target = "createdById", source = "teams[#].createdBy.id")
    List<TeamDto> mapToListDto(List<Team> teams);
}
