package cz.muni.fi.icehockeymanager.report.api.create;

import cz.muni.fi.icehockeymanager.report.data.enums.SubscribeSubject;

import java.util.ArrayList;
import java.util.List;

public class CreateSubscriberDto {
    private String name;
    private String mail;
    private Long playerRefId;
    private List<SubscribeSubject> subscribedSubjects = new ArrayList<>();

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMail() {
        return mail;
    }

    public void setMail(String mail) {
        this.mail = mail;
    }

    public Long getPlayerRefId() {
        return playerRefId;
    }

    public void setPlayerRefId(Long playerRefId) {
        this.playerRefId = playerRefId;
    }

    public List<SubscribeSubject> getSubscribedSubjects() {
        return subscribedSubjects;
    }

    public void setSubscribedSubjects(List<SubscribeSubject> subscribedSubjects) {
        this.subscribedSubjects.clear();
        this.subscribedSubjects.addAll(subscribedSubjects);
    }

    @Override
    public String toString() {
        return "CreateSubscriberDto{" +
                "name='" + name + '\'' +
                ", mail='" + mail + '\'' +
                ", playerRefId=" + playerRefId +
                ", subscribedSubjects=" + subscribedSubjects +
                '}';
    }
}
