package cz.muni.fi.icehockeymanager.report.api.view;

import cz.muni.fi.icehockeymanager.report.data.enums.SubscribeSubject;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

public class SubscriberDto {

    private Long id;
    private String name;
    private String mail;
    private Long playerRefId;
    private List<SubscribeSubject> subscribedSubjects = new ArrayList<>();

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMail() {
        return mail;
    }

    public void setMail(String mail) {
        this.mail = mail;
    }

    public Long getPlayerRefId() {
        return playerRefId;
    }

    public void setPlayerRefId(Long playerRefId) {
        this.playerRefId = playerRefId;
    }

    public List<SubscribeSubject> getSubscribedSubjects() {
        return subscribedSubjects;
    }

    public void setSubscribedSubjects(List<SubscribeSubject> subscribedSubjects) {
        this.subscribedSubjects.clear();
        this.subscribedSubjects.addAll(subscribedSubjects);
    }

    @Override
    public String toString() {
        return "SubscriberDto{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", mail='" + mail + '\'' +
                ", playerRefId=" + playerRefId +
                ", subscribedSubjects=" + subscribedSubjects +
                '}';
    }

    @Override
    public boolean equals(Object o) {
        if (o == this)
            return true;

        if (!(o instanceof SubscriberDto other))
            return false;

        return Objects.equals(this.id, other.id);
    }

    @Override
    public final int hashCode() {
        return Objects.hash(id, name, mail, playerRefId, subscribedSubjects);
    }
}
