package cz.muni.fi.icehockeymanager.report.mappers;

import cz.muni.fi.icehockeymanager.report.api.create.CreateSubscriberDto;
import cz.muni.fi.icehockeymanager.report.api.view.SubscriberDto;
import cz.muni.fi.icehockeymanager.report.data.domain.Subscriber;

import org.mapstruct.Mapper;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;

import java.util.List;

@Mapper(componentModel = "spring")
public interface SubscriberMapper {

    SubscriberDto mapToDto(Subscriber subscriber);
    SubscriberDto mapCreateDtoToDto(CreateSubscriberDto createSubscriberDto);
    Subscriber mapToEntity(SubscriberDto subscriberDto);
    Subscriber mapCreateDtoToEntity(CreateSubscriberDto createSubscriberDto);
    List<SubscriberDto> mapToList(List<Subscriber> subscriber);
    default Page<SubscriberDto> mapToPageDto(Page<Subscriber> subscribers) {
        return new PageImpl<>(mapToList(subscribers.getContent()), subscribers.getPageable(), subscribers.getTotalPages());
    }
}
