package cz.muni.fi.icehockeymanager.discussionforum.mappers;

import cz.muni.fi.icehockeymanager.discussionforum.api.dto.create.CreateCategoryDto;
import cz.muni.fi.icehockeymanager.discussionforum.api.dto.view.CategoryDto;
import cz.muni.fi.icehockeymanager.discussionforum.data.domain.Category;
import org.mapstruct.Mapper;

import java.util.List;

@Mapper(componentModel = "spring", uses = ThreadMapper.class)
public interface CategoryMapper {
    Category mapCreateCategoryDtoToCategoryEntity(CreateCategoryDto createCategoryDto);
    CategoryDto mapCategoryEntityToCategoryDto(Category category);
    List<CategoryDto> mapCategoryEntityListToCategoryDtoList(List<Category> categoryList);
}
