package cz.muni.fi.icehockeymanager.discussionforum.mappers;

import cz.muni.fi.icehockeymanager.discussionforum.api.dto.create.CreateCommentDto;
import cz.muni.fi.icehockeymanager.discussionforum.api.dto.view.CommentDto;
import cz.muni.fi.icehockeymanager.discussionforum.data.domain.Comment;
import org.mapstruct.Mapper;

import java.util.List;

@Mapper(componentModel = "spring")
public interface CommentMapper {
    Comment mapCreateCommentDtoToCommentEntity(CreateCommentDto createCommentDto);
    CommentDto mapCommentEntityToCommentDto(Comment comment);
    List<CommentDto> mapCommentEntityListToCommentDtoList(List<Comment> commentList);
}
