package cz.muni.fi.icehockeymanager.discussionforum.mappers;

import cz.muni.fi.icehockeymanager.discussionforum.api.dto.create.CreateThreadDto;
import cz.muni.fi.icehockeymanager.discussionforum.api.dto.view.ThreadDto;
import cz.muni.fi.icehockeymanager.discussionforum.data.domain.Thread;
import org.mapstruct.Mapper;

import java.util.List;

@Mapper(componentModel = "spring", uses = CategoryMapper.class)
public interface ThreadMapper {
    Thread mapCreateThreadDtoToThreadEntity(CreateThreadDto createThreadDto);
    ThreadDto mapThreadEntityToThreadDto(Thread thread);
    List<ThreadDto> mapThreadEntityListToThreadDtoList(List<Thread> threadList);
}
