package cz.muni.fi.icehockeymanager.core.api.create;

import java.util.Date;
import java.util.Objects;

public class CreateGameDto {
    private Long homeTeamId;
    private Long awayTeamId;
    private Date date;
    private Long scheduleId;

    public Long getHomeTeamId() {
        return homeTeamId;
    }

    public void setHomeTeamId(Long homeTeamId) {
        this.homeTeamId = homeTeamId;
    }

    public Long getAwayTeamId() {
        return awayTeamId;
    }

    public void setAwayTeamId(Long awayTeamId) {
        this.awayTeamId = awayTeamId;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public Long getScheduleId() {
        return scheduleId;
    }

    public void setScheduleId(Long scheduleId) {
        this.scheduleId = scheduleId;
    }

    @Override
    public String toString() {
        return "CreateGameDto{" +
                "homeTeamId=" + homeTeamId +
                ", awayTeamId=" + awayTeamId +
                ", date=" + date +
                ", scheduleId=" + scheduleId +
                '}';
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof CreateGameDto)) return false;
        CreateGameDto that = (CreateGameDto) o;
        return scheduleId.equals(that.scheduleId) && homeTeamId.equals(that.homeTeamId) && awayTeamId.equals(that.awayTeamId) && date.equals(that.date);
    }

    @Override
    public int hashCode() {
        return Objects.hash(scheduleId, homeTeamId, awayTeamId, date);
    }
}
