package cz.muni.fi.icehockeymanager.core.api.view;

import cz.muni.fi.icehockeymanager.core.data.enums.GameStatus;

import java.util.Date;

public class GameDto {
    private Long id;
    private Long scheduleId;
    private Long homeTeamId;
    private Long awayTeamId;
    private Integer homeTeamGoals;
    private Integer awayTeamGoals;
    private GameStatus gameStatus;
    private Date date;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getScheduleId() {
        return scheduleId;
    }

    public void setScheduleId(Long scheduleId) {
        this.scheduleId = scheduleId;
    }

    public Long getHomeTeamId() {
        return homeTeamId;
    }

    public void setHomeTeamId(Long homeTeamId) {
        this.homeTeamId = homeTeamId;
    }

    public Long getAwayTeamId() {
        return awayTeamId;
    }

    public void setAwayTeamId(Long awayTeamId) {
        this.awayTeamId = awayTeamId;
    }

    public Integer getHomeTeamGoals() {
        return homeTeamGoals;
    }

    public void setHomeTeamGoals(Integer homeTeamGoals) {
        this.homeTeamGoals = homeTeamGoals;
    }

    public Integer getAwayTeamGoals() {
        return awayTeamGoals;
    }

    public void setAwayTeamGoals(Integer awayTeamGoals) {
        this.awayTeamGoals = awayTeamGoals;
    }

    public GameStatus getStatus() {
        return gameStatus;
    }

    public void setStatus(GameStatus gameStatus) {
        this.gameStatus = gameStatus;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }


    @Override
    public String toString() {
        return "GameDto{" +
                "id=" + id +
                ", scheduleId=" + scheduleId +
                ", homeTeamId=" + homeTeamId +
                ", awayTeamId=" + awayTeamId +
                ", homeTeamGoals=" + homeTeamGoals +
                ", awayTeamGoals=" + awayTeamGoals +
                ", gameStatus=" + gameStatus +
                ", date=" + date +
                '}';
    }
}
