package cz.muni.fi.icehockeymanager.core.api.view;

import java.util.ArrayList;
import java.util.List;

public class TeamDetailDto {

    private Long id;
    private String name;
    private UserDto createdBy;
    private List<PlayerDto> players = new ArrayList<>();

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public UserDto getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(UserDto createdBy) {
        this.createdBy = createdBy;
    }

    public List<PlayerDto> getPlayers() {
        return players;
    }

    public void setPlayers(List<PlayerDto> players) {
        this.players = players;
    }

    public void addPlayer(PlayerDto player) {
        this.players.add(player);
    }

    @Override
    public String toString() {
        return "TeamDetailDto{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", createdBy=" + createdBy +
                ", players=" + players +
                '}';
    }
}
