package cz.muni.fi.icehockeymanager.core.mappers;

import cz.muni.fi.icehockeymanager.core.api.view.PlayerDto;
import cz.muni.fi.icehockeymanager.core.data.domain.Player;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

import java.util.List;

@Mapper(componentModel = "spring")
public interface PlayerMapper {
    @Mapping(target = "teamId", source = "player.team.id")
    PlayerDto mapToDto(Player player);
    Player mapToEntity(PlayerDto playerDto);

    List<PlayerDto> mapToListDto(List<Player> players);
}
