package cz.muni.fi.icehockeymanager.core.mappers;

import cz.muni.fi.icehockeymanager.core.api.view.ScheduleDetailDto;
import cz.muni.fi.icehockeymanager.core.api.view.ScheduleDto;
import cz.muni.fi.icehockeymanager.core.data.domain.Schedule;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

import java.util.List;

@Mapper(componentModel = "spring")
public interface ScheduleMapper {

    @Mapping(target = "leagueId", source = "schedule.league.id")
    ScheduleDto mapToDto(Schedule schedule);
    ScheduleDetailDto mapToDetailDto(Schedule schedule);
    Schedule mapToEntity(ScheduleDto scheduleDto);

    List<ScheduleDto> mapToListDto(List<Schedule> schedules);
}
