package cz.muni.fi.icehockeymanager.core.mappers;

import cz.muni.fi.icehockeymanager.core.api.view.UserDto;
import cz.muni.fi.icehockeymanager.core.data.domain.User;
import org.mapstruct.Mapper;

import java.util.List;

@Mapper(componentModel = "spring")
public interface UserMapper {

    UserDto mapToDto(User user);
    User mapToEntity(UserDto userDto);

    List<UserDto> mapToListDto(List<User> users);
}
