INSERT INTO address (street, street_number, city, region, countryiso)
VALUES ('Českomoravská', '2345/17a', 'Prague', 'Czech Republic', 'CZE');
INSERT INTO address (street, street_number, city, region, countryiso)
VALUES ('Kungsgatan', '5', 'Stockholm', 'Stockholm County', 'SWE');
INSERT INTO address (street, street_number, city, region, countryiso)
VALUES ('Tverskaya', '12', 'Moscow', 'Moscow Oblast', 'RUS');
INSERT INTO address (street, street_number, city, region, countryiso)
VALUES ('Place de Belgique', '1', 'Brussels', 'Brussels Capital Region', 'BEL');
INSERT INTO address (street, street_number, city, region, countryiso)
VALUES ('Krieau', '1', 'Vienna', 'Vienna', 'AUT');
INSERT INTO address (street, street_number, city, region, countryiso)
VALUES ('Avinguda Aristides Maillol', '12', 'Barcelona', 'Catalonia', 'ESP');
INSERT INTO address (street, street_number, city, region, countryiso)
VALUES ('Lars Hilles gate', '30', 'Bergen', 'Vestland', 'NOR');
INSERT INTO address (street, street_number, city, region, countryiso)
VALUES ('Ulitsa Akademika Tupoleva', '19', 'Kazan', 'Tatarstan', 'RUS');
INSERT INTO address (street, street_number, city, region, countryiso)
VALUES ('Štark Arena', '1', 'Belgrade', 'Belgrade District', 'SRB');
INSERT INTO address (street, street_number, city, region, countryiso)
VALUES ('Mannerheimintie', '17', 'Helsinki', 'Uusimaa', 'FIN');
INSERT INTO address (street, street_number, city, region, countryiso)
VALUES ('Avenida Lateral Este', 's/n', 'Mexico City', 'Mexico City', 'MEX');
INSERT INTO address (street, street_number, city, region, countryiso)
VALUES ('Kolner Haie Strasse', '15/312A', 'Cologne', 'Cologne', 'DEU');
INSERT INTO address (street, street_number, city, region, countryiso)
VALUES ('Bernische', '123', 'Bern', 'Bern Schweiz', 'CHE');
INSERT INTO address (street, street_number, city, region, countryiso)
VALUES ('Radužny', '312O9', 'Minsk', 'Lahojsk', 'BLR');
INSERT INTO address (street, street_number, city, region, countryiso)
VALUES ('Ulica Vice Vukova', '8', 'Zagreb', 'Zagreb Centar', 'HRV');
INSERT INTO address (street, street_number, city, region, countryiso)
VALUES ('Stanisława Lema', '7, 31-571', 'Krakow', 'Krakowska oblast', 'POL');
INSERT INTO address (street, street_number, city, region, countryiso)
VALUES ('Mercedes-Platz', '+', 'Berlin', 'BundesLand Berlin', 'DEU');
INSERT INTO address (street, street_number, city, region, countryiso)
VALUES ('Johanneshov', '121 77', 'Stockholm', 'City of Stockholm', 'SWE');
INSERT INTO address (street, street_number, city, region, countryiso)
VALUES ('Neuhermsheim', '131/AD', 'Mannheim', 'Mannheim Region', 'DEU');
INSERT INTO address (street, street_number, city, region, countryiso)
VALUES ('Sorinkatu', 'š', 'Tampere', 'Tulli', 'FIN');
INSERT INTO address (street, street_number, city, region, countryiso)
VALUES ('Rath', '00091/KO312', 'Düsseldorf', 'Düsseldorf', 'DEU');


INSERT INTO arena (address_id, arena_name, year_of_construction, capacity, dimensions)
VALUES (1, 'O2 Arena', 2004, 18000, 60.5);
INSERT INTO arena (address_id, arena_name, year_of_construction, capacity, dimensions)
VALUES (2, 'Ericsson Globe', 1989, 13400, 110.0);
INSERT INTO arena (address_id, arena_name, year_of_construction, capacity, dimensions)
VALUES (3, 'VTB Arena', 2019, 27200, 68.0);
INSERT INTO arena (address_id, arena_name, year_of_construction, capacity, dimensions)
VALUES (4, 'Palais 12', 2013, 18000, 60.0);
INSERT INTO arena (address_id, arena_name, year_of_construction, capacity, dimensions)
VALUES (5, 'Wiener Stadthalle', 1958, 16500, 98.0);
INSERT INTO arena (address_id, arena_name, year_of_construction, capacity, dimensions)
VALUES (6, 'Palau Blaugrana', 1971, 7700, 54.0);
INSERT INTO arena (address_id, arena_name, year_of_construction, capacity, dimensions)
VALUES (7, 'VilVite Arena', 2020, 2000, 50.0);
INSERT INTO arena (address_id, arena_name, year_of_construction, capacity, dimensions)
VALUES (8, 'Basket-Hall Kazan', 2005, 7000, 71.0);
INSERT INTO arena (address_id, arena_name, year_of_construction, capacity, dimensions)
VALUES (9, 'Štark Arena', 2004, 18500, 60.0);
INSERT INTO arena (address_id, arena_name, year_of_construction, capacity, dimensions)
VALUES (10, 'Hartwall Arena', 1997, 13700, 61.0);
INSERT INTO arena (address_id, arena_name, year_of_construction, capacity, dimensions)
VALUES (11, 'Arena Ciudad de Mexico', 2012, 22000, 60.0);
INSERT INTO arena (address_id, arena_name, year_of_construction, capacity, dimensions)
VALUES (12, 'Lanxess Arena', 2013, 22000, 72.23);
INSERT INTO arena (address_id, arena_name, year_of_construction, capacity, dimensions)
VALUES (13, 'PostFinance-Arena', 2014, 13450, 69.4);
INSERT INTO arena (address_id, arena_name, year_of_construction, capacity, dimensions)
VALUES (14, 'Minsk-Arena', 2015, 8600, 53.56);
INSERT INTO arena (address_id, arena_name, year_of_construction, capacity, dimensions)
VALUES (15, 'Arena Zagreb', 2016, 9800, 55.2);
INSERT INTO arena (address_id, arena_name, year_of_construction, capacity, dimensions)
VALUES (16, 'Tauron Arena', 2017, 21330, 65.5);
INSERT INTO arena (address_id, arena_name, year_of_construction, capacity, dimensions)
VALUES (17, 'Mercedes-Benz Arena', 2018, 13130, 57.0);
INSERT INTO arena (address_id, arena_name, year_of_construction, capacity, dimensions)
VALUES (18, 'Avicii Arena', 2019, 15400, 56.0);
INSERT INTO arena (address_id, arena_name, year_of_construction, capacity, dimensions)
VALUES (19, 'SAP Arena', 2020, 6780, 54.0);
INSERT INTO arena (address_id, arena_name, year_of_construction, capacity, dimensions)
VALUES (20, 'Nokia Arena', 2021, 11350, 64.0);
INSERT INTO arena (address_id, arena_name, year_of_construction, capacity, dimensions)
VALUES (21, 'ISS Dome', 2022, 10200, 65.0);


INSERT INTO contact_person (name, surname, email, telephone_number)
VALUES ('John', 'Doe', 'johndoe@email.com', '+1 555-555-5555');
INSERT INTO contact_person (name, surname, email, telephone_number)
VALUES ('Jane', 'Doe', 'janedoe@email.com', '+1 555-123-4567');
INSERT INTO contact_person (name, surname, email, telephone_number)
VALUES ('Bob', 'Smith', 'bobsmith@email.com', '+44 20 7123 4567');
INSERT INTO contact_person (name, surname, email, telephone_number)
VALUES ('Alice', 'Johnson', 'alicejohnson@email.com', '+61 2 1234 5678');
INSERT INTO contact_person (name, surname, email, telephone_number)
VALUES ('David', 'Brown', 'davidbrown@email.com', '+81 3-1234-5678');
INSERT INTO contact_person (name, surname, email, telephone_number)
VALUES ('Emma', 'Garcia', 'emma.garcia@example.com', '+1-202-555-0194');
INSERT INTO contact_person (name, surname, email, telephone_number)
VALUES ('Lukas', 'Andersson', 'lukas.andersson@example.com', '+46-8-555-0157');
INSERT INTO contact_person (name, surname, email, telephone_number)
VALUES ('Anastasia', 'Ivanova', 'anastasia.ivanova@example.com', '+7-495-555-0135');
INSERT INTO contact_person (name, surname, email, telephone_number)
VALUES ('Sophie', 'Lefèvre', 'sophie.lefevre@example.com', '+32-2-555-0113');
INSERT INTO contact_person (name, surname, email, telephone_number)
VALUES ('Elias', 'Bakken', 'elias.bakken@example.com', '+47-55-555-0172');

INSERT INTO reservation (arena_id, person_id, date_time_from, date_time_to, reservation_type)
VALUES (1, 1, '2023-05-10 12:00:00', '2023-05-10T14:00:00', 'TRAINING');
INSERT INTO reservation (arena_id, person_id, date_time_from, date_time_to, reservation_type)
VALUES (2, 2, '2023-05-12 18:00:00', '2023-05-12T20:00:00', 'FRIENDLY_MATCH');
INSERT INTO reservation (arena_id, person_id, date_time_from, date_time_to, reservation_type)
VALUES (3, 3, '2023-05-15 14:00:00', '2023-05-15T16:00:00', 'LEAGUE_MATCH');
INSERT INTO reservation (arena_id, person_id, date_time_from, date_time_to, reservation_type)
VALUES (4, 4, '2023-05-16 10:00:00', '2023-05-16T12:00:00', 'OTHER');
INSERT INTO reservation (arena_id, person_id, date_time_from, date_time_to, reservation_type)
VALUES (5, 5, '2023-05-18 16:00:00', '2023-05-18T18:00:00', 'TRAINING');
INSERT INTO reservation (arena_id, person_id, date_time_from, date_time_to, reservation_type)
VALUES (3, 5, '2023-05-20 10:00:00', '2023-05-20T12:00:00', 'FRIENDLY_MATCH');
INSERT INTO reservation (arena_id, person_id, date_time_from, date_time_to, reservation_type)
VALUES (6, 6, '2023-05-22 12:00:00', '2023-05-22T14:00:00', 'LEAGUE_MATCH');
INSERT INTO reservation (arena_id, person_id, date_time_from, date_time_to, reservation_type)
VALUES (3, 7, '2023-05-24 16:00:00', '2023-05-24T18:00:00', 'OTHER');
INSERT INTO reservation (arena_id, person_id, date_time_from, date_time_to, reservation_type)
VALUES (1, 8, '2023-05-26 14:00:00', '2023-05-26T16:00:00', 'TRAINING');
INSERT INTO reservation (arena_id, person_id, date_time_from, date_time_to, reservation_type)
VALUES (9, 9, '2023-05-28 10:00:00', '2023-05-28T12:00:00', 'FRIENDLY_MATCH');